## org.hibernate.type.descriptor.java
Class UUIDTypeDescriptor.ToBytesTransformer

    java.lang.Object
      org.hibernate.type.descriptor.java.UUIDTypeDescriptor.ToBytesTransformer

All Implemented Interfaces:
  UUIDTypeDescriptor.ValueTransformer

Enclosing class:
  UUIDTypeDescriptor

    public static class UUIDTypeDescriptor.ToBytesTransformer

extends Object
implements UUIDTypeDescriptor.ValueTransformer

Field Summary
`static UUIDTypeDescriptor.ToBytesTransformer` `INSTANCE`

Constructor Summary
`UUIDTypeDescriptor.ToBytesTransformer()`

Method Summary
`UUID` `parse(Object value)`
`byte[]` `transform(UUID uuid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final UUIDTypeDescriptor.ToBytesTransformer INSTANCE

Constructor Detail

### UUIDTypeDescriptor.ToBytesTransformer

    public UUIDTypeDescriptor.ToBytesTransformer()

Method Detail

### transform

    public byte[] transform(UUID uuid)

  Specified by:
    `transform` in interface `UUIDTypeDescriptor.ValueTransformer`

### parse

    public UUID parse(Object value)

  Specified by:
    `parse` in interface `UUIDTypeDescriptor.ValueTransformer`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.